System Requirements -Version 1.6.2


Topics
  • System Requirements
  • Epson Drivers Compatibility
  • Printer/modem/USB Ports Compatibility
  • URLs to download latest Epson drivers.
  • System 7 Notes.

System Requirements

Macintosh PowerPC, G3, G4, iMac, iBook, PowerBook, Mac 68000 and clones. MacOS System 7, 8 or 9. Epson drivers version 5.5 or later (see below). Any functional File Sharing network: Ethernet, LocalTalk, Modem, Infra-Red, AirPort through AppleShare or TCP/IP including Remote Access and Internet.


Epson Drivers Compatibility

Important: These latest Epson drivers will support ALL Macintoshes, including those with USB, printer, modem, or printer/modem ports. Although the Epson support site does not explicitly state that the USB or iMac drivers (for iMac, Blue & White G3, G4) will work on machines with printer or modem ports, support for these ports IS included. After the installation of these new drivers, you will have the ability to choose the port you wish to use in the Apple Menu Chooser: printer, modem, printer/modem or USB.

In some case, the Epson installer fails to replace its old files. So trash all old Epson files before a new installation:
- "System Folder:extensions:Epson Folder"
- "System Folder:extensions:EpsonMonitor3"
- "System Folder:extensions:Epson Launcher"
- "System Folder:Preferences: Epson Preferences"
-and your Printer Chooser Extension (SC 850 or SC 600 or SP 1200,...) in "System Folder:extensions:"

Be sure you have a Printer Chooser Extensions v5.5x or later and an Epson Monitor3 application v.1.23x or v.1.25x or later in the "System folder:Extensions" folder of all Macs. Epson Monitor3 v2.x is compatible with EpsonShare from its version 1.4 or later.

From its version 1.5, EpsonShare is System 7 compatible and can work on a 68000 Macintosh, see System 7 Notes.

Printers Minimum
Drivers
Current
Drivers
EpsonShare
Compatible
Stylus Color 440 v5.5x v5.5AE   Yes
Stylus Color 500 - v2.7AA   No
Stylus Color 600 v5.5x v5.5AE   Yes
Stylus Color 640 v5.5x v5.5AE   Yes
Stylus Color 660 v6.x v6.0BE   Yes
Stylus Photo 700 v5.5x v5.5BE   Yes
Stylus Color 740 v5.5x v5.5DE   Yes
Stylus Photo 750 v5.5x v5.56BE   Yes
Stylus Color 760 v6.x v6.0 AE   Yes
Stylus Color 800 v5.5x v5.5AE   Yes
Stylus Color 800N v5.5x v5.5AE   Yes
Stylus Color 850 v5.5x v5.5AE   Yes
Stylus Color 850N v5.5x v5.5AE   Yes
Stylus Color 850Ne v5.5x v5.5AE   Yes
Stylus Color 860 v6.x v6.0 AE   Yes
Stylus Color 900 v5.5x v5.6BE   Yes
Stylus Color 900 G v5.5x v5.6BE   Yes
Stylus Color 900 N v5.5x v5.6BE   Yes
Stylus Color 1160 v6.x v6.0 AE   Yes
Stylus Photo 1200 v5.6x v5.6cE   Yes
Stylus Color 1520 v5.5x v5.6AE   Yes
Stylus Color 3000 v5.5x v5.6BE   Yes
Stylus Scan 2000 v6.x v6.0AE   Yes
Stylus Scan 2500 v6.x v6.0BE   Yes
Stylus Scan 2500 Pro v6.x v6.0bE   Yes
Stylus Photo EX v5.5x v5.5AE   Yes
Stylus 1000 - v2.0A   No
Stylus 1500 - v2.7AA   No
Stylus Color - v2.5AA   No
Stylus Color II - v2.7AA   No
Stylus Photo - v3.2    No (*)
Stylus Pro - v2.5AA   No
Stylus Pro XL - v2.5AA   No

(*) The EX v5.5AE drivers work perfectly on this Stylus Photo.


Printer/modem/USB Ports Compatibility

All Macintoshes with any port (modem, printer, modem/printer or USB) can act as client or server.

On USB Macs clients without printer, in the Apple Menu "Chooser", just select your printer. If you can't choose a port (printer/modem/usb), if any port appears or if you can't check "Background printing", it doesn't matter: EpsonShare will make that for you.


URL to download Epson drivers

www.epson.com


System 7 Notes

With version 1.5, EpsonShare is System 7 compatible and will run on a 68000 Macintosh; however, some of the latest Epson drivers require at least System 8 and/or a Power PC to be installed. Unfortunately, the previous System 7 compliant drivers are no longer available from the Epson web site. Therefore, you will have to re-install these drivers from your Epson Installation CD.

The current 440, 600, 640, 700, 800, 850 and EX versions on the Epson web site are System 7 compatible, but the self-extracting archive ".SEA" containing the installation package is not. Therefore, you will have to extend it on a Mac under System 8 or 9 then to copy the extended package on the Mac running under System 7.

Be sure you have a Printer Chooser Extensions v5.5x or later and an Epson Monitor3 application v.1.23x or v.1.25x or later in the "System folder:Extensions" folder of all Macs.


EpsonShare Quick Jump:

[Menu] [Intro] [Sys. Requirements] [installation] [Q&A-Troubleshooting] [Pricing] [Download Demo]